Index: /branches/DataAnalysis.IslandAlgorithms/DataAnalysis.IslandAlgorithms.sln
===================================================================
--- /branches/DataAnalysis.IslandAlgorithms/DataAnalysis.IslandAlgorithms.sln	(revision 10176)
+++ /branches/DataAnalysis.IslandAlgorithms/DataAnalysis.IslandAlgorithms.sln	(revision 10177)
@@ -15,4 +15,6 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm-3.3", "HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm\3.3\HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm-3.3.csproj", "{F409DD9E-1E9C-4EB1-AA3A-9F6E987C6E58}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Tests", "HeuristicLab.Tests\HeuristicLab.Tests.csproj", "{F26EC1D3-4338-4F8B-AE5C-434D9256D580}"
 EndProject
 Global
@@ -70,4 +72,12 @@
 		{F409DD9E-1E9C-4EB1-AA3A-9F6E987C6E58}.Release|x86.ActiveCfg = Release|x86
 		{F409DD9E-1E9C-4EB1-AA3A-9F6E987C6E58}.Release|x86.Build.0 = Release|x86
+		{F26EC1D3-4338-4F8B-AE5C-434D9256D580}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{F26EC1D3-4338-4F8B-AE5C-434D9256D580}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{F26EC1D3-4338-4F8B-AE5C-434D9256D580}.Debug|x64.ActiveCfg = Debug|Any CPU
+		{F26EC1D3-4338-4F8B-AE5C-434D9256D580}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{F26EC1D3-4338-4F8B-AE5C-434D9256D580}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{F26EC1D3-4338-4F8B-AE5C-434D9256D580}.Release|Any CPU.Build.0 = Release|Any CPU
+		{F26EC1D3-4338-4F8B-AE5C-434D9256D580}.Release|x64.ActiveCfg = Release|Any CPU
+		{F26EC1D3-4338-4F8B-AE5C-434D9256D580}.Release|x86.ActiveCfg = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/HeuristicLab.Algorithms.DataAnalysis.Symbolic.csproj
===================================================================
--- /branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/HeuristicLab.Algorithms.DataAnalysis.Symbolic.csproj	(revision 10176)
+++ /branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/HeuristicLab.Algorithms.DataAnalysis.Symbolic.csproj	(revision 10177)
@@ -123,10 +123,11 @@
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="ConsecutiveSamplesEvaluator.cs" />
     <Compile Include="SymbolicDataAnalysisIslandOffspringSelectionGeneticAlgorithm.cs" />
-    <Compile Include="ISymbolicDataAnalysisIslandGAEvaluator .cs" />
+    <Compile Include="ISymbolicDataAnalysisIslandAlgorithmEvaluator .cs" />
     <Compile Include="ScopeTreeAssigner.cs" />
     <Compile Include="Plugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="SymbolicDataAnalysisIslandGAEvaluator.cs" />
+    <Compile Include="RandomSamplesEvaluator .cs" />
     <Compile Include="SymbolicDataAnalysisIslandGeneticAlgorithm.cs" />
   </ItemGroup>
Index: anches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/HeuristicLab.Algorithms.DataAnalysis.Symbolic.csproj.user
===================================================================
--- /branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/HeuristicLab.Algorithms.DataAnalysis.Symbolic.csproj.user	(revision 10176)
+++ 	(revision )
@@ -1,10 +1,0 @@
-﻿<?xml version="1.0" encoding="utf-8"?>
-<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
-  <PropertyGroup>
-    <ProjectView>ShowAllFiles</ProjectView>
-  </PropertyGroup>
-  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|AnyCPU'">
-    <StartAction>Program</StartAction>
-    <StartProgram>C:\Reps\HL3 core\trunk\sources\bin\HeuristicLab 3.3.exe</StartProgram>
-  </PropertyGroup>
-</Project>
Index: /branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/ISymbolicDataAnalysisIslandAlgorithmEvaluator .cs
===================================================================
--- /branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/ISymbolicDataAnalysisIslandAlgorithmEvaluator .cs	(revision 10177)
+++ /branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/ISymbolicDataAnalysisIslandAlgorithmEvaluator .cs	(revision 10177)
@@ -0,0 +1,27 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Optimization;
+
+namespace HeuristicLab.Algorithms.DataAnalysis.Symbolic {
+  public interface ISymbolicDataAnalysisIslandGeneticAlgorithmEvaluator : ISingleObjectiveEvaluator {
+  }
+}
Index: anches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/ISymbolicDataAnalysisIslandGAEvaluator .cs
===================================================================
--- /branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/ISymbolicDataAnalysisIslandGAEvaluator .cs	(revision 10176)
+++ 	(revision )
@@ -1,27 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using HeuristicLab.Optimization;
-
-namespace HeuristicLab.Algorithms.DataAnalysis.Symbolic {
-  public interface ISymbolicDataAnalysisIslandGAEvaluator : ISingleObjectiveEvaluator {
-  }
-}
Index: /branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/RandomSamplesEvaluator .cs
===================================================================
--- /branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/RandomSamplesEvaluator .cs	(revision 10177)
+++ /branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/RandomSamplesEvaluator .cs	(revision 10177)
@@ -0,0 +1,131 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Linq;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Operators;
+using HeuristicLab.Optimization;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Problems.DataAnalysis;
+using HeuristicLab.Problems.DataAnalysis.Symbolic;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Algorithms.DataAnalysis.Symbolic {
+  [StorableClass]
+  public sealed class RandomSamplesEvaluator : SingleSuccessorOperator, IStochasticOperator, ISymbolicDataAnalysisIslandGeneticAlgorithmEvaluator {
+    private const string RandomParameterName = "Random";
+    private const string ProblemDataParameterName = "ProblemData";
+    private const string EvaluatorParameterName = "ProblemEvaluator";
+    private const string QualityParameterName = "Quality";
+    private const string FitnessCalculationPartitionParameterName = "FitnessCalculationPartition";
+    private const string FixedSamplesPartitionParameterName = "FixedSamplesPartition";
+    private const string RandomSamplesParameterName = "RandomSamples";
+
+    #region parameter properties
+    public ILookupParameter<IRandom> RandomParameter {
+      get { return (ILookupParameter<IRandom>)Parameters[RandomParameterName]; }
+    }
+    public ILookupParameter<IDataAnalysisProblemData> ProblemDataParameter {
+      get { return (ILookupParameter<IDataAnalysisProblemData>)Parameters[ProblemDataParameterName]; }
+    }
+    public ILookupParameter<IOperator> EvaluatorParameter {
+      get { return (ILookupParameter<IOperator>)Parameters[EvaluatorParameterName]; }
+    }
+    public ILookupParameter<DoubleValue> QualityParameter {
+      get { return (ILookupParameter<DoubleValue>)Parameters[QualityParameterName]; }
+    }
+    public ILookupParameter<IntRange> FitnessCalculationPartitionParameter {
+      get { return (ILookupParameter<IntRange>)Parameters[FitnessCalculationPartitionParameterName]; }
+    }
+    public ILookupParameter<IntRange> FixedSamplesPartitionParameter {
+      get { return (ILookupParameter<IntRange>)Parameters[FixedSamplesPartitionParameterName]; }
+    }
+    public IFixedValueParameter<IntValue> RandomSamplesParameter {
+      get { return (IFixedValueParameter<IntValue>)Parameters[RandomSamplesParameterName]; }
+    }
+    #endregion
+
+    #region properties
+
+    public int RandomSamples {
+      get { return RandomSamplesParameter.Value.Value; }
+      set { RandomSamplesParameter.Value.Value = value; }
+    }
+    #endregion
+
+    [StorableConstructor]
+    private RandomSamplesEvaluator(bool deserializing) : base(deserializing) { }
+    private RandomSamplesEvaluator(RandomSamplesEvaluator original, Cloner cloner)
+      : base(original, cloner) {
+    }
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new RandomSamplesEvaluator(this, cloner);
+    }
+
+    public RandomSamplesEvaluator()
+      : base() {
+      Parameters.Add(new LookupParameter<IRandom>(RandomParameterName, "The random generator to use."));
+      Parameters.Add(new LookupParameter<IDataAnalysisProblemData>(ProblemDataParameterName, "The problem data on which the symbolic data analysis solution should be evaluated."));
+      Parameters.Add(new LookupParameter<IOperator>(EvaluatorParameterName, "The evaluator provided by the symbolic data analysis  problem."));
+      Parameters.Add(new LookupParameter<DoubleValue>(QualityParameterName, "The quality which is calculated by the encapsulated evaluator."));
+      Parameters.Add(new LookupParameter<IntRange>(FitnessCalculationPartitionParameterName, "The data partition used to calculate the fitness"));
+      Parameters.Add(new LookupParameter<IntRange>(FixedSamplesPartitionParameterName, "The data partition which is used to calculate the fitness on the fixed samples."));
+      Parameters.Add(new FixedValueParameter<IntValue>(RandomSamplesParameterName, "The number of random samples used for fitness calculation in each island.", new IntValue()));
+    }
+
+    public override IOperation Apply() {
+      var evaluator = EvaluatorParameter.ActualValue;
+      var problemData = ProblemDataParameter.ActualValue;
+
+      var samples = FitnessCalculationPartitionParameter.ActualValue;
+      var fixedSamples = FixedSamplesPartitionParameter.ActualValue;
+      var randomSamples = RandomSamples;
+
+      //create fixed rows enumerable
+      var rows = Enumerable.Range(fixedSamples.Start, fixedSamples.Size);
+      //create randomly chosen rows enumerable
+      if (randomSamples > 0) {
+        if (randomSamples > samples.Size - fixedSamples.Size) {
+          var error = string.Format("Could not select {0} random samples, because there are {1} total samples present from which {2} where used in the fixed partition. Please lower the number of random samples in the algorithm configuration.", randomSamples, samples.Size, fixedSamples.Size);
+          throw new OperatorExecutionException(this, error);
+        }
+        var randomRows = Enumerable.Range(samples.Start, samples.Size).Where(r => r < fixedSamples.Start || r >= fixedSamples.End);
+        randomRows = randomRows.SampleRandomWithoutRepetition(RandomParameter.ActualValue, randomSamples, samples.Size - fixedSamples.Size);
+
+        rows = rows.Concat(randomRows);
+      }
+      //filter out test rows
+      rows = rows.Where(r => r < problemData.TestPartition.Start || r > problemData.TestPartition.End);
+
+      //execution context is created manually to be able to clear the rows parameter easily
+      var executionContext = new ExecutionContext(ExecutionContext, evaluator, ExecutionContext.Scope);
+
+      //TODO change to lookup parameter
+      executionContext.Scope.Variables.Remove("Rows");
+      executionContext.Scope.Variables.Add(new HeuristicLab.Core.Variable("Rows", new EnumerableItem<int>(rows)));
+      var successor = evaluator.Execute(executionContext, this.CancellationToken);
+      return new OperationCollection(successor, base.Apply());
+    }
+  }
+}
Index: anches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/SymbolicDataAnalysisIslandGAEvaluator.cs
===================================================================
--- /branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/SymbolicDataAnalysisIslandGAEvaluator.cs	(revision 10176)
+++ 	(revision )
@@ -1,125 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System.Linq;
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Data;
-using HeuristicLab.Operators;
-using HeuristicLab.Optimization;
-using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Problems.DataAnalysis;
-using HeuristicLab.Problems.DataAnalysis.Symbolic;
-using HeuristicLab.Random;
-
-namespace HeuristicLab.Algorithms.DataAnalysis.Symbolic {
-  [StorableClass]
-  public sealed class SymbolicDataAnalysisIslandGAEvaluator : SingleSuccessorOperator, IStochasticOperator, ISymbolicDataAnalysisIslandGAEvaluator {
-    private const string RandomParameterName = "Random";
-    private const string ProblemDataParameterName = "ProblemData";
-    private const string EvaluatorParameterName = "ProblemEvaluator";
-    private const string QualityParameterName = "Quality";
-    private const string FitnessCalculationPartitionParameterName = "FitnessCalculationPartition";
-    private const string FixedSamplesPartitionParameterName = "FixedSamplesPartition";
-    private const string RandomSamplesParameterName = "RandomSamples";
-
-    #region parameter properties
-    public ILookupParameter<IRandom> RandomParameter {
-      get { return (ILookupParameter<IRandom>)Parameters[RandomParameterName]; }
-    }
-    public ILookupParameter<IDataAnalysisProblemData> ProblemDataParameter {
-      get { return (ILookupParameter<IDataAnalysisProblemData>)Parameters[ProblemDataParameterName]; }
-    }
-    public ILookupParameter<IOperator> EvaluatorParameter {
-      get { return (ILookupParameter<IOperator>)Parameters[EvaluatorParameterName]; }
-    }
-    public ILookupParameter<DoubleValue> QualityParameter {
-      get { return (ILookupParameter<DoubleValue>)Parameters[QualityParameterName]; }
-    }
-    public IValueLookupParameter<IntRange> FitnessCalculationPartitionParameter {
-      get { return (IValueLookupParameter<IntRange>)Parameters[FitnessCalculationPartitionParameterName]; }
-    }
-    public ILookupParameter<IntRange> FixedSamplesPartitionParameter {
-      get { return (ILookupParameter<IntRange>)Parameters[FixedSamplesPartitionParameterName]; }
-    }
-    public ILookupParameter<IntValue> RandomSamplesParameter {
-      get { return (ILookupParameter<IntValue>)Parameters[RandomSamplesParameterName]; }
-    }
-    #endregion
-
-    [StorableConstructor]
-    private SymbolicDataAnalysisIslandGAEvaluator(bool deserializing) : base(deserializing) { }
-    private SymbolicDataAnalysisIslandGAEvaluator(SymbolicDataAnalysisIslandGAEvaluator original, Cloner cloner)
-      : base(original, cloner) {
-    }
-    public override IDeepCloneable Clone(Cloner cloner) {
-      return new SymbolicDataAnalysisIslandGAEvaluator(this, cloner);
-    }
-
-    public SymbolicDataAnalysisIslandGAEvaluator()
-      : base() {
-      Parameters.Add(new LookupParameter<IRandom>(RandomParameterName, "The random generator to use."));
-      Parameters.Add(new LookupParameter<IDataAnalysisProblemData>(ProblemDataParameterName, "The problem data on which the symbolic data analysis solution should be evaluated."));
-      Parameters.Add(new LookupParameter<IOperator>(EvaluatorParameterName, "The evaluator provided by the symbolic data analysis  problem."));
-      Parameters.Add(new LookupParameter<DoubleValue>(QualityParameterName, "The quality which is calculated by the encapsulated evaluator."));
-      Parameters.Add(new ValueLookupParameter<IntRange>(FitnessCalculationPartitionParameterName, "The data partition used to calculate the fitness"));
-      Parameters.Add(new LookupParameter<IntRange>(FixedSamplesPartitionParameterName, "The data partition which is used to calculate the fitness on the fixed samples."));
-      Parameters.Add(new LookupParameter<IntValue>(RandomSamplesParameterName, "The number of random samples used for fitness calculation in each island."));
-
-      EvaluatorParameter.Hidden = true;
-    }
-
-    public override IOperation Apply() {
-      var evaluator = EvaluatorParameter.ActualValue;
-      var problemData = ProblemDataParameter.ActualValue;
-
-      var samples = FitnessCalculationPartitionParameter.ActualValue;
-      var fixedSamples = FixedSamplesPartitionParameter.ActualValue;
-      var randomSamples = RandomSamplesParameter.ActualValue.Value;
-
-      //create fixed rows enumerable
-      var rows = Enumerable.Range(fixedSamples.Start, fixedSamples.Size);
-      //create randomly chosen rows enumerable
-      if (randomSamples > 0) {
-        if (randomSamples > samples.Size - fixedSamples.Size) {
-          var error = string.Format("Could not select {0} random samples, because there are {1} total samples present from which {2} where used in the fixed partition. Please lower the number of random samples in the algorithm configuration.", randomSamples, samples.Size, fixedSamples.Size);
-          throw new OperatorExecutionException(this, error);
-        }
-        var randomRows = Enumerable.Range(samples.Start, samples.Size).Where(r => r < fixedSamples.Start || r >= fixedSamples.End);
-        randomRows = randomRows.SampleRandomWithoutRepetition(RandomParameter.ActualValue, randomSamples, samples.Size - fixedSamples.Size);
-
-        rows = rows.Concat(randomRows);
-      }
-      //filter out test rows
-      rows = rows.Where(r => r < problemData.TestPartition.Start || r > problemData.TestPartition.End);
-
-      //execution context is created manually to be able to clear the rows parameter easily
-      var executionContext = new ExecutionContext(ExecutionContext, evaluator, ExecutionContext.Scope);
-
-      //TODO change to lookup parameter
-      executionContext.Scope.Variables.Remove("Rows");
-      executionContext.Scope.Variables.Add(new HeuristicLab.Core.Variable("Rows", new EnumerableItem<int>(rows)));
-      var successor = evaluator.Execute(executionContext, this.CancellationToken);
-      return new OperationCollection(successor, base.Apply());
-    }
-  }
-}
Index: /branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/SymbolicDataAnalysisIslandGeneticAlgorithm.cs
===================================================================
--- /branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/SymbolicDataAnalysisIslandGeneticAlgorithm.cs	(revision 10176)
+++ /branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/SymbolicDataAnalysisIslandGeneticAlgorithm.cs	(revision 10177)
@@ -27,9 +27,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Operators;
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
-using HeuristicLab.Random;
 
 namespace HeuristicLab.Algorithms.DataAnalysis.Symbolic {
@@ -41,6 +41,6 @@
     private const string FixedSamplesPartitionParameterName = "FixedSamplesPartition";
     private const string FixedSamplesPartitionsParameterName = "FixedSamplesPartitions";
-    private const string RandomSamplesParameterName = "NumberOfRandomSamples";
     private const string EvaluatorParameterName = "IslandEvaluator";
+    private const string IslandIndexParameterName = "IslandIndex";
     private const string ProblemEvaluatorParameterName = "ProblemEvaluator";
 
@@ -62,9 +62,6 @@
       get { return (IValueParameter<ItemArray<IntRange>>)Parameters[FixedSamplesPartitionsParameterName]; }
     }
-    public IFixedValueParameter<IntValue> RandomSamplesParameter {
-      get { return (IFixedValueParameter<IntValue>)Parameters[RandomSamplesParameterName]; }
-    }
-    public IValueParameter<ISymbolicDataAnalysisIslandGAEvaluator> EvaluatorParameter {
-      get { return (IValueParameter<ISymbolicDataAnalysisIslandGAEvaluator>)Parameters[EvaluatorParameterName]; }
+    public IValueParameter<ISymbolicDataAnalysisIslandGeneticAlgorithmEvaluator> EvaluatorParameter {
+      get { return (IValueParameter<ISymbolicDataAnalysisIslandGeneticAlgorithmEvaluator>)Parameters[EvaluatorParameterName]; }
     }
     private ILookupParameter<ISingleObjectiveEvaluator> ProblemEvaluatorParameter {
@@ -81,8 +78,4 @@
       get { return FixedSamplesPartitionsParameter.Value; }
       set { FixedSamplesPartitionsParameter.Value = value; }
-    }
-    public int RandomSamples {
-      get { return RandomSamplesParameter.Value.Value; }
-      set { RandomSamplesParameter.Value.Value = value; }
     }
     #endregion
@@ -106,7 +99,12 @@
       Parameters.Add(new FixedValueParameter<IntValue>(FixedSamplesParameterName, "The number of fixed samples used for fitness calculation in each island.", new IntValue(0)));
       Parameters.Add(new ValueParameter<ItemArray<IntRange>>(FixedSamplesPartitionsParameterName, "The fixed samples partitions used for fitness calculation for every island."));
-      Parameters.Add(new FixedValueParameter<IntValue>(RandomSamplesParameterName, "The number of random samples used for fitness calculation in each island.", new IntValue(0)));
-      Parameters.Add(new OptionalValueParameter<ISymbolicDataAnalysisIslandGAEvaluator>(EvaluatorParameterName, "The evaluator of the algorithm."));
+      Parameters.Add(new OptionalValueParameter<ISymbolicDataAnalysisIslandGeneticAlgorithmEvaluator>(EvaluatorParameterName, "The evaluator of the algorithm."));
       Parameters.Add(new LookupParameter<ISingleObjectiveEvaluator>(ProblemEvaluatorParameterName, "Internal parameter for name translation", "Evaluator"));
+
+      ScopeTreeAssigner<IntValue> islandIndexAssigner = new ScopeTreeAssigner<IntValue>();
+      islandIndexAssigner.Name = "Insert island index";
+      islandIndexAssigner.LeftSideParameter.ActualName = IslandIndexParameterName;
+      var readonlyIslandIndexes = Enumerable.Range(0, NumberOfIslands.Value).Select(x => (IntValue)new IntValue(x).AsReadOnly());
+      islandIndexAssigner.RightSideParameter.Value = new ItemArray<IntValue>(readonlyIslandIndexes);
 
       ScopeTreeAssigner<IntRange> fixedSamplesPartitionCreator = new ScopeTreeAssigner<IntRange>();
@@ -115,7 +113,12 @@
       fixedSamplesPartitionCreator.RightSideParameter.ActualName = FixedSamplesPartitionsParameterName;
 
-      RandomCreator insertionPoint = OperatorGraph.Iterate().OfType<RandomCreator>().Skip(1).First();
+      SubScopesCreator insertionPoint = OperatorGraph.Iterate().OfType<SubScopesCreator>().First();
+      islandIndexAssigner.Successor = fixedSamplesPartitionCreator;
       fixedSamplesPartitionCreator.Successor = insertionPoint.Successor;
-      insertionPoint.Successor = fixedSamplesPartitionCreator;
+      insertionPoint.Successor = islandIndexAssigner;
+
+      //RandomCreator insertionPoint = OperatorGraph.Iterate().OfType<RandomCreator>().Skip(1).First();
+      //fixedSamplesPartitionCreator.Successor = insertionPoint.Successor;
+      //insertionPoint.Successor = fixedSamplesPartitionCreator;
 
       RegisterParameterEvents();
@@ -131,5 +134,4 @@
         ReevaluateImmigrants = FixedSamples >= Problem.FitnessCalculationPartition.Size;
       };
-      RandomSamplesParameter.Value.ValueChanged += (o, e) => { ReevaluteElites = RandomSamples != 0; };
       Analyzer.Operators.PropertyChanged += (o, e) => ParameterizeAnalyzers();
       EvaluatorParameter.ValueChanged += (o, e) => ParameterizeEvaluator();
@@ -160,7 +162,13 @@
     private void ParameterizeEvaluator() {
       var evaluator = EvaluatorParameter.Value;
-      var islandGAEvaluator = evaluator as SymbolicDataAnalysisIslandGAEvaluator;
-      if (islandGAEvaluator != null) {
-        islandGAEvaluator.RandomSamplesParameter.ActualName = RandomSamplesParameterName;
+
+      var randomEvaluator = evaluator as RandomSamplesEvaluator;
+      if (randomEvaluator != null) {
+        ReevaluteElites = randomEvaluator.RandomSamples != 0;
+      }
+
+      var consecutiveEvaluator = evaluator as ConsecutiveSamplesEvaluator;
+      if (consecutiveEvaluator != null) {
+        consecutiveEvaluator.DataMigrationIntervalParameter.ActualName = MigrationIntervalParameter.Name;
       }
     }
@@ -181,5 +189,5 @@
 
       if (Problem != null && EvaluatorParameter.Value == null) {
-        EvaluatorParameter.Value = new SymbolicDataAnalysisIslandGAEvaluator();
+        EvaluatorParameter.Value = new RandomSamplesEvaluator();
       } else if (Problem == null)
         EvaluatorParameter.Value = null;
Index: /branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/SymbolicDataAnalysisIslandOffspringSelectionGeneticAlgorithm.cs
===================================================================
--- /branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/SymbolicDataAnalysisIslandOffspringSelectionGeneticAlgorithm.cs	(revision 10176)
+++ /branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/SymbolicDataAnalysisIslandOffspringSelectionGeneticAlgorithm.cs	(revision 10177)
@@ -41,6 +41,6 @@
     private const string FixedSamplesPartitionParameterName = "FixedSamplesPartition";
     private const string FixedSamplesPartitionsParameterName = "FixedSamplesPartitions";
-    private const string RandomSamplesParameterName = "NumberOfRandomSamples";
     private const string EvaluatorParameterName = "IslandEvaluator";
+    private const string IslandIndexParameterName = "IslandIndex";
     private const string ProblemEvaluatorParameterName = "ProblemEvaluator";
 
@@ -62,9 +62,6 @@
       get { return (IValueParameter<ItemArray<IntRange>>)Parameters[FixedSamplesPartitionsParameterName]; }
     }
-    public IFixedValueParameter<IntValue> RandomSamplesParameter {
-      get { return (IFixedValueParameter<IntValue>)Parameters[RandomSamplesParameterName]; }
-    }
-    public IValueParameter<ISymbolicDataAnalysisIslandGAEvaluator> EvaluatorParameter {
-      get { return (IValueParameter<ISymbolicDataAnalysisIslandGAEvaluator>)Parameters[EvaluatorParameterName]; }
+    public IValueParameter<ISymbolicDataAnalysisIslandGeneticAlgorithmEvaluator> EvaluatorParameter {
+      get { return (IValueParameter<ISymbolicDataAnalysisIslandGeneticAlgorithmEvaluator>)Parameters[EvaluatorParameterName]; }
     }
     private ILookupParameter<ISingleObjectiveEvaluator> ProblemEvaluatorParameter {
@@ -81,8 +78,4 @@
       get { return FixedSamplesPartitionsParameter.Value; }
       set { FixedSamplesPartitionsParameter.Value = value; }
-    }
-    public int RandomSamples {
-      get { return RandomSamplesParameter.Value.Value; }
-      set { RandomSamplesParameter.Value.Value = value; }
     }
     #endregion
@@ -106,7 +99,12 @@
       Parameters.Add(new FixedValueParameter<IntValue>(FixedSamplesParameterName, "The number of fixed samples used for fitness calculation in each island.", new IntValue(0)));
       Parameters.Add(new ValueParameter<ItemArray<IntRange>>(FixedSamplesPartitionsParameterName, "The fixed samples partitions used for fitness calculation for every island."));
-      Parameters.Add(new FixedValueParameter<IntValue>(RandomSamplesParameterName, "The number of random samples used for fitness calculation in each island.", new IntValue(0)));
-      Parameters.Add(new OptionalValueParameter<ISymbolicDataAnalysisIslandGAEvaluator>(EvaluatorParameterName, "The evaluator of the algorithm."));
+      Parameters.Add(new OptionalValueParameter<ISymbolicDataAnalysisIslandGeneticAlgorithmEvaluator>(EvaluatorParameterName, "The evaluator of the algorithm."));
       Parameters.Add(new LookupParameter<ISingleObjectiveEvaluator>(ProblemEvaluatorParameterName, "Internal parameter for name translation", "Evaluator"));
+
+      ScopeTreeAssigner<IntValue> islandIndexAssigner = new ScopeTreeAssigner<IntValue>();
+      islandIndexAssigner.Name = "Insert island index";
+      islandIndexAssigner.LeftSideParameter.ActualName = IslandIndexParameterName;
+      var readonlyIslandIndexes = Enumerable.Range(0, NumberOfIslands.Value).Select(x => (IntValue)new IntValue(x).AsReadOnly());
+      islandIndexAssigner.RightSideParameter.Value = new ItemArray<IntValue>(readonlyIslandIndexes);
 
       ScopeTreeAssigner<IntRange> fixedSamplesPartitionCreator = new ScopeTreeAssigner<IntRange>();
@@ -116,6 +114,7 @@
 
       SubScopesCreator insertionPoint = OperatorGraph.Iterate().OfType<SubScopesCreator>().First();
+      islandIndexAssigner.Successor = fixedSamplesPartitionCreator;
       fixedSamplesPartitionCreator.Successor = insertionPoint.Successor;
-      insertionPoint.Successor = fixedSamplesPartitionCreator;
+      insertionPoint.Successor = islandIndexAssigner;
 
       RegisterParameterEvents();
@@ -131,5 +130,4 @@
         ReevaluateImmigrants = FixedSamples >= Problem.FitnessCalculationPartition.Size;
       };
-      RandomSamplesParameter.Value.ValueChanged += (o, e) => { ReevaluteElites = RandomSamples != 0; };
       Analyzer.Operators.PropertyChanged += (o, e) => ParameterizeAnalyzers();
       EvaluatorParameter.ValueChanged += (o, e) => ParameterizeEvaluator();
@@ -160,7 +158,13 @@
     private void ParameterizeEvaluator() {
       var evaluator = EvaluatorParameter.Value;
-      var islandGAEvaluator = evaluator as SymbolicDataAnalysisIslandGAEvaluator;
-      if (islandGAEvaluator != null) {
-        islandGAEvaluator.RandomSamplesParameter.ActualName = RandomSamplesParameterName;
+
+      var randomEvaluator = evaluator as RandomSamplesEvaluator;
+      if (randomEvaluator != null) {
+        ReevaluteElites = randomEvaluator.RandomSamples != 0;
+      }
+
+      var consecutiveEvaluator = evaluator as ConsecutiveSamplesEvaluator;
+      if (consecutiveEvaluator != null) {
+        consecutiveEvaluator.DataMigrationIntervalParameter.ActualName = MigrationIntervalParameter.Name;
       }
     }
@@ -181,5 +185,5 @@
 
       if (Problem != null && EvaluatorParameter.Value == null) {
-        EvaluatorParameter.Value = new SymbolicDataAnalysisIslandGAEvaluator();
+        EvaluatorParameter.Value = new RandomSamplesEvaluator();
       } else if (Problem == null)
         EvaluatorParameter.Value = null;