Index: branches/HeuristicLab.Analysis.AlgorithmBehavior/liblrs/ctest_liblrs/ctest_liblrs.vcxproj
===================================================================
--- branches/HeuristicLab.Analysis.AlgorithmBehavior/liblrs/ctest_liblrs/ctest_liblrs.vcxproj	(revision 10198)
+++ branches/HeuristicLab.Analysis.AlgorithmBehavior/liblrs/ctest_liblrs/ctest_liblrs.vcxproj	(revision 10200)
@@ -6,7 +6,15 @@
       <Platform>Win32</Platform>
     </ProjectConfiguration>
+    <ProjectConfiguration Include="Debug|x64">
+      <Configuration>Debug</Configuration>
+      <Platform>x64</Platform>
+    </ProjectConfiguration>
     <ProjectConfiguration Include="Release|Win32">
       <Configuration>Release</Configuration>
       <Platform>Win32</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Release|x64">
+      <Configuration>Release</Configuration>
+      <Platform>x64</Platform>
     </ProjectConfiguration>
   </ItemGroup>
@@ -22,5 +30,18 @@
     <CharacterSet>MultiByte</CharacterSet>
   </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <UseDebugLibraries>true</UseDebugLibraries>
+    <PlatformToolset>v110</PlatformToolset>
+    <CharacterSet>MultiByte</CharacterSet>
+  </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <UseDebugLibraries>false</UseDebugLibraries>
+    <PlatformToolset>v110</PlatformToolset>
+    <WholeProgramOptimization>true</WholeProgramOptimization>
+    <CharacterSet>MultiByte</CharacterSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
@@ -35,5 +56,11 @@
     <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
   </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
   <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
     <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
   </ImportGroup>
@@ -44,9 +71,29 @@
     <ReferencePath>$(SolutionDir)Debug;$(ReferencePath)</ReferencePath>
   </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
+    <IncludePath>$(SolutionDir);$(IncludePath)</IncludePath>
+    <LibraryPath>$(SolutionDir)x64\Debug;$(LibraryPath)</LibraryPath>
+    <ReferencePath>$(SolutionDir)Debug;$(ReferencePath)</ReferencePath>
+  </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
     <IncludePath>$(SolutionDir);$(IncludePath)</IncludePath>
     <LibraryPath>$(SolutionDir)\Release;$(LibraryPath)</LibraryPath>
   </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
+    <IncludePath>$(SolutionDir);$(IncludePath)</IncludePath>
+    <LibraryPath>$(SolutionDir)\Release;$(LibraryPath)</LibraryPath>
+  </PropertyGroup>
   <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+    <ClCompile>
+      <WarningLevel>Level3</WarningLevel>
+      <Optimization>Disabled</Optimization>
+      <SDLCheck>true</SDLCheck>
+    </ClCompile>
+    <Link>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <AdditionalDependencies>liblrs.lib;%(AdditionalDependencies)</AdditionalDependencies>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
     <ClCompile>
       <WarningLevel>Level3</WarningLevel>
@@ -74,4 +121,19 @@
     </Link>
   </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
+    <ClCompile>
+      <WarningLevel>Level3</WarningLevel>
+      <Optimization>MaxSpeed</Optimization>
+      <FunctionLevelLinking>true</FunctionLevelLinking>
+      <IntrinsicFunctions>true</IntrinsicFunctions>
+      <SDLCheck>true</SDLCheck>
+    </ClCompile>
+    <Link>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <EnableCOMDATFolding>true</EnableCOMDATFolding>
+      <OptimizeReferences>true</OptimizeReferences>
+      <AdditionalDependencies>$(SolutionDir)Release\liblrs.lib;%(AdditionalDependencies)</AdditionalDependencies>
+    </Link>
+  </ItemDefinitionGroup>
   <ItemGroup>
     <ClCompile Include="main.cpp" />
Index: branches/HeuristicLab.Analysis.AlgorithmBehavior/liblrs/ctest_liblrs/main.cpp
===================================================================
--- branches/HeuristicLab.Analysis.AlgorithmBehavior/liblrs/ctest_liblrs/main.cpp	(revision 10198)
+++ branches/HeuristicLab.Analysis.AlgorithmBehavior/liblrs/ctest_liblrs/main.cpp	(revision 10200)
Index: branches/HeuristicLab.Analysis.AlgorithmBehavior/liblrs/liblrs/extfunc.c
===================================================================
--- branches/HeuristicLab.Analysis.AlgorithmBehavior/liblrs/liblrs/extfunc.c	(revision 10198)
+++ branches/HeuristicLab.Analysis.AlgorithmBehavior/liblrs/liblrs/extfunc.c	(revision 10200)
@@ -56,5 +56,5 @@
   /* now flags in lrs_dat can be set */     
   Q->m=numPoints;           /* number of input rows = number of vertices   */ 
-  Q->n=dimension;/*TODO: +1?*/           /* number of input columns   (dimension + 1 )  */
+  Q->n=dimension;         /* number of input columns  */
   Q->hull = TRUE;     /* convex hull problem: facet enumeration      */
   Q->polytope= TRUE;  /* input is a polytope                         */
Index: branches/HeuristicLab.Analysis.AlgorithmBehavior/liblrs/liblrs/liblrs.sln
===================================================================
--- branches/HeuristicLab.Analysis.AlgorithmBehavior/liblrs/liblrs/liblrs.sln	(revision 10198)
+++ branches/HeuristicLab.Analysis.AlgorithmBehavior/liblrs/liblrs/liblrs.sln	(revision 10200)
@@ -52,6 +52,6 @@
 		{B6D2A50A-D977-4F8F-8BCA-08591D6BB52D}.Debug|Win32.ActiveCfg = Debug|Win32
 		{B6D2A50A-D977-4F8F-8BCA-08591D6BB52D}.Debug|Win32.Build.0 = Debug|Win32
-		{B6D2A50A-D977-4F8F-8BCA-08591D6BB52D}.Debug|x64.ActiveCfg = Debug|Win32
-		{B6D2A50A-D977-4F8F-8BCA-08591D6BB52D}.Debug|x64.Build.0 = Debug|Win32
+		{B6D2A50A-D977-4F8F-8BCA-08591D6BB52D}.Debug|x64.ActiveCfg = Debug|x64
+		{B6D2A50A-D977-4F8F-8BCA-08591D6BB52D}.Debug|x64.Build.0 = Debug|x64
 		{B6D2A50A-D977-4F8F-8BCA-08591D6BB52D}.Release|Any CPU.ActiveCfg = Release|Win32
 		{B6D2A50A-D977-4F8F-8BCA-08591D6BB52D}.Release|Mixed Platforms.ActiveCfg = Release|Win32
Index: branches/HeuristicLab.Analysis.AlgorithmBehavior/liblrs/liblrs/liblrs.vcxproj
===================================================================
--- branches/HeuristicLab.Analysis.AlgorithmBehavior/liblrs/liblrs/liblrs.vcxproj	(revision 10198)
+++ branches/HeuristicLab.Analysis.AlgorithmBehavior/liblrs/liblrs/liblrs.vcxproj	(revision 10200)
@@ -35,5 +35,5 @@
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
-    <ConfigurationType>StaticLibrary</ConfigurationType>
+    <ConfigurationType>DynamicLibrary</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
     <PlatformToolset>v110</PlatformToolset>
@@ -93,10 +93,10 @@
   <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
     <ClCompile>
-      <PreprocessorDefinitions>_WINDLL;%(PreprocessorDefinitions);B64</PreprocessorDefinitions>
+      <PreprocessorDefinitions>_WINDLL;%(PreprocessorDefinitions)</PreprocessorDefinitions>
     </ClCompile>
   </ItemDefinitionGroup>
   <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
     <ClCompile>
-      <PreprocessorDefinitions>_WINDLL;%(PreprocessorDefinitions);B64</PreprocessorDefinitions>
+      <PreprocessorDefinitions>_WINDLL;%(PreprocessorDefinitions)</PreprocessorDefinitions>
     </ClCompile>
   </ItemDefinitionGroup>